OpenNMS API 1.2.9

## org.opennms.web.admin.users
Class NewUser

    java.lang.Object
      org.opennms.web.admin.users.NewUser

public class NewUser
extends java.lang.Object

Add new user Bean, containing data from the user info page.

Field Summary
`private java.lang.String` `comments`
`private java.lang.String` `confirmpasswd`
`private java.lang.String` `dutysch`
`private java.lang.String` `email`
`private java.lang.String` `fullname`
`private java.lang.String` `numpin`
`private java.lang.String` `numsvc`
`private java.lang.String` `passwd`
`private java.lang.String` `txtpin`
`private java.lang.String` `txtsvc`
`private java.lang.String` `user`

Constructor Summary
`NewUser()` Default Constructor
`NewUser(java.lang.String fullName, java.lang.String userId, java.lang.String userPasswd, java.lang.String confirm, java.lang.String userComments, java.lang.String userEmail, java.lang.String numericSvc, java.lang.String numericPin, java.lang.String txtSvc, java.lang.String txtPin, java.lang.String duty)`

Method Summary
`java.lang.String` `getComments()`
`java.lang.String` `getConfirmpasswd()`
`java.lang.String` `getDutysch()`
`java.lang.String` `getEmail()`
`java.lang.String` `getFullname()`
`java.lang.String` `getNumpin()`
`java.lang.String` `getNumsvc()`
`java.lang.String` `getPasswd()`
`java.lang.String` `getTxtpin()`
`java.lang.String` `getTxtsvc()`
`java.lang.String` `getUser()`
`void` `setComments(java.lang.String comments)`
`void` `setConfirmpasswd(java.lang.String confirmPass)`
`void` `setDutysch(java.lang.String duty)`
`void` `setEmail(java.lang.String email)`
`void` `setFullname(java.lang.String name)`
`void` `setNumpin(java.lang.String pin)`
`void` `setNumsvc(java.lang.String num)`
`void` `setPasswd(java.lang.String passwd)`
`void` `setTxtpin(java.lang.String pin)`
`void` `setTxtsvc(java.lang.String svc)`
`void` `setUser(java.lang.String user)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fullname

    private java.lang.String fullname

### user

    private java.lang.String user

### passwd

    private java.lang.String passwd

### confirmpasswd

    private java.lang.String confirmpasswd

### comments

    private java.lang.String comments

### email

    private java.lang.String email

### numsvc

    private java.lang.String numsvc

### numpin

    private java.lang.String numpin

### txtsvc

    private java.lang.String txtsvc

### txtpin

    private java.lang.String txtpin

### dutysch

    private java.lang.String dutysch

Constructor Detail

### NewUser

    public NewUser()

  Default Constructor

### NewUser

    public NewUser(java.lang.String fullName,
                   java.lang.String userId,
                   java.lang.String userPasswd,
                   java.lang.String confirm,
                   java.lang.String userComments,
                   java.lang.String userEmail,
                   java.lang.String numericSvc,
                   java.lang.String numericPin,
                   java.lang.String txtSvc,
                   java.lang.String txtPin,
                   java.lang.String duty)

Method Detail

### getFullname

    public java.lang.String getFullname()

### getUser

    public java.lang.String getUser()

### getPasswd

    public java.lang.String getPasswd()

### getConfirmpasswd

    public java.lang.String getConfirmpasswd()

### getComments

    public java.lang.String getComments()

### getEmail

    public java.lang.String getEmail()

### getNumsvc

    public java.lang.String getNumsvc()

### getNumpin

    public java.lang.String getNumpin()

### getTxtsvc

    public java.lang.String getTxtsvc()

### getTxtpin

    public java.lang.String getTxtpin()

### getDutysch

    public java.lang.String getDutysch()

### setFullname

    public void setFullname(java.lang.String name)

### setUser

    public void setUser(java.lang.String user)

### setPasswd

    public void setPasswd(java.lang.String passwd)

### setConfirmpasswd

    public void setConfirmpasswd(java.lang.String confirmPass)

### setComments

    public void setComments(java.lang.String comments)

### setEmail

    public void setEmail(java.lang.String email)

### setNumsvc

    public void setNumsvc(java.lang.String num)

### setNumpin

    public void setNumpin(java.lang.String pin)

### setTxtsvc

    public void setTxtsvc(java.lang.String svc)

### setTxtpin

    public void setTxtpin(java.lang.String pin)

### setDutysch

    public void setDutysch(java.lang.String duty)

### toString

    public java.lang.String toString()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.